Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.

Autor Téma: Nenastartuje graficke prostredi  (Přečteno 1780 krát)

Dave11

  • Návštěvník
  • *
  • Příspěvků: 28
    • Zobrazit profil
Nenastartuje graficke prostredi
« kdy: 11 Květen 2009, 10:17:44 »
Ahoj, na laptopu mam grafickou kartu Radeon X1200 a podle navodu na wiki http://wiki.ubuntu.cz/Grafické%20karty%20ATI jsem postupne provedl:
Deaktivace Composite Extension (krok 1-3)

Instalace ovladače "fglrx" :
sudo apt-get update
sudo apt-get install linux-restricted-modules-$(uname -r)
sudo apt-get install xorg-driver-fglrx
sudo depmod -a

Po restartu me vsak nenastartuje graficke prostredi, obrazovka je rozmazana. Muzete me prosim poradit, tak toto vratit zpet? V linuxu nejsem zatim moc pokrocily.
Diky

petergula

  • Závislák
  • ****
  • Příspěvků: 1016
    • Zobrazit profil
Re: Nenastartuje graficke prostredi
« Odpověď #1 kdy: 11 Květen 2009, 10:34:45 »
ntbk Dell 6420 (Amd Ati, Intel i7, 4GB RAM, 256GB SSD ...)
secondary/u svokrovcov:
Xubuntu (64bit) ntbk Asus A6Je (Ati X1450, Intel Core2Duo T5500, 2.5GB RAM ...)

Evžen Šubrt

  • Závislák
  • ****
  • Příspěvků: 2218
    • Zobrazit profil
    • EuGenio's Lair
Re: Nenastartuje graficke prostredi
« Odpověď #2 kdy: 11 Květen 2009, 11:23:15 »
Pokud se snažíš rozběhat tuto kartu na Ubuntu 9.04, tak se ti to s nesvobodným ovladačem (fglrx) nepovede - tvoje karta v něm již není podporována. Nadto ten návod, na který se odkazuješ, je psaný pro Ubuntu 7.10, na jeho začátku je odkaz na novější návod. Deaktivace compozite není vůbec nutná.

1) Pokud tedy máš Ubuntu 9.04, musíš použít svobodný ovladač (viz odkaz od perergula)
2) Pokud máš starší Ubuntu (8.04 nebo 8.10), zkus postupně Metodu 0 a 1 z novějšího návodu, nebo si stáhni ze stránek ATI ovladač verze 9-3 (9-4 nepodporuje tvojí kartu!) a postupuj podle Metody 2.
Athlon X2 6000+, MB ASUS M2R32-MVP, 6GB RAM, ATI Radeon HD7850 1GB, 1GB SSHD + 250GB HDD, Ubuntu 13.10 Saucy Salamander 64bit

Dave11

  • Návštěvník
  • *
  • Příspěvků: 28
    • Zobrazit profil
Re: Nenastartuje graficke prostredi
« Odpověď #3 kdy: 11 Květen 2009, 14:26:37 »
Ten 'try to fix x server' v recovery modu jem zkousel, bohuzel to nepomohlo.....

petergula

  • Závislák
  • ****
  • Příspěvků: 1016
    • Zobrazit profil
Re: Nenastartuje graficke prostredi
« Odpověď #4 kdy: 11 Květen 2009, 14:37:30 »
Myslel som, ci si skusal toto:
Kód: [Vybrat]
1. get into recovery mode (when grub loads, press ESC, select recovery mode)
2. choose to get NETROOT from the menu
3. sudo apt-get remove --purge xorg-driver-fglrx
4. sudo apt-get install xserver-xorg-video-ati
4. sudo reboot
ntbk Dell 6420 (Amd Ati, Intel i7, 4GB RAM, 256GB SSD ...)
secondary/u svokrovcov:
Xubuntu (64bit) ntbk Asus A6Je (Ati X1450, Intel Core2Duo T5500, 2.5GB RAM ...)

Dave11

  • Návštěvník
  • *
  • Příspěvků: 28
    • Zobrazit profil
Re: Nenastartuje graficke prostredi
« Odpověď #5 kdy: 11 Květen 2009, 17:41:42 »
Diky,pomohlo

Ignácius

  • Návštěvník
  • *
  • Příspěvků: 1
    • Zobrazit profil
Re: Nenastartuje graficke prostredi
« Odpověď #6 kdy: 24 Květen 2009, 16:07:53 »
" Pokud se snažíš rozběhat tuto kartu na Ubuntu 9.04, tak se ti to s nesvobodným ovladačem (fglrx) nepovede - tvoje karta v něm již není podporována. Nadto ten návod, na který se odkazuješ, je psaný pro Ubuntu 7.10, na jeho začátku je odkaz na novější návod. Deaktivace compozite není vůbec nutná.

1) Pokud tedy máš Ubuntu 9.04, musíš použít svobodný ovladač (viz odkaz od perergula)
2) Pokud máš starší Ubuntu (8.04 nebo 8.10), zkus postupně Metodu 0 a 1 z novějšího návodu, nebo si stáhni ze stránek ATI ovladač verze 9-3 (9-4 nepodporuje tvojí kartu!) a postupuj podle Metody 2. "


Takže jestli tomu dobře rozumím, tak když si do Ubuntu 9.04 nainstaluju podle Metody 2 verzi ovladače 9-3, tak to bude fungovat???

petergula

  • Závislák
  • ****
  • Příspěvků: 1016
    • Zobrazit profil
Re: Nenastartuje graficke prostredi
« Odpověď #7 kdy: 25 Květen 2009, 00:38:35 »
Citace
Takže jestli tomu dobře rozumím, tak když si do Ubuntu 9.04 nainstaluju podle Metody 2 verzi ovladače 9-3, tak to bude fungovat???
nie nebude fungovat, lebo:
Citace
1) Pokud tedy máš Ubuntu 9.04, musíš použít svobodný ovladač (viz odkaz od perergula)
2) Pokud máš starší Ubuntu (8.04 nebo 8.10), ...
ntbk Dell 6420 (Amd Ati, Intel i7, 4GB RAM, 256GB SSD ...)
secondary/u svokrovcov:
Xubuntu (64bit) ntbk Asus A6Je (Ati X1450, Intel Core2Duo T5500, 2.5GB RAM ...)

Evžen Šubrt

  • Závislák
  • ****
  • Příspěvků: 2218
    • Zobrazit profil
    • EuGenio's Lair
Re: Nenastartuje graficke prostredi
« Odpověď #8 kdy: 25 Květen 2009, 09:30:02 »
1) Pokud tedy máš Ubuntu 9.04, musíš použít svobodný ovladač (viz odkaz od perergula)
2) Pokud máš starší Ubuntu (8.04 nebo 8.10), zkus postupně Metodu 0 a 1 z novějšího návodu, nebo si stáhni ze stránek ATI ovladač verze 9-3 (9-4 nepodporuje tvojí kartu!) a postupuj podle Metody 2. "

Takže jestli tomu dobře rozumím, tak když si do Ubuntu 9.04 nainstaluju podle Metody 2 verzi ovladače 9-3, tak to bude fungovat???
Ne, to se ti nepovede, protože ovladač 9-3 NENÍ kompatibilní s Ubuntu 9.04 (konkrétně s xserverem, který Jaunty obsahuje). Existuje možnost, a sice downgrade xserveru v jaunty, ale to buch doporučil pouze zkušenějším. Rozumné možnosti jsou opravdu tedy jenom 1) Ubuntu 9.04 se svobodným ovladačem a 2) Starší Ubuntu s nesvobodným verze 9-3.
Athlon X2 6000+, MB ASUS M2R32-MVP, 6GB RAM, ATI Radeon HD7850 1GB, 1GB SSHD + 250GB HDD, Ubuntu 13.10 Saucy Salamander 64bit